* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-text-size-adjust: none;
  font-family: "Paperlogy";
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  color: #fff;
}

p {
  font-size: 18px;
}

body {
  background: #000;
}

/*컨텐츠 공통*/
.conAll {
  width: 100%;
  max-width: 1440px;
  color: #fff;
  margin: 0 auto;
}

/*상단 메인*/
.main {
  padding: 250px 0;
}

.mainTop {
  position: relative;
  padding-bottom: 32px;
}

.mainTopBg {
  text-align: center;
}

.mainTopBg video {
  width: 320px;
  height: 540px;
  object-fit: cover;
}

.mainTopTitle {
  position: absolute;
  z-index: 1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.mainTopTitle p {
  font-size: 62px;
  font-weight: 700;
}

.mainMid {
  margin: 0 auto;
  width: 1px;
  height: 50px;
  background: #fff;
}

.mainBottom {
  padding-top: 32px;
}

.mainBottom p {
  text-align: center;
  font-size: 18px;
}

/*프로덕트*/
.productAll {
  width: 100%;
  background-color: #fff;
  color: #000;
  padding-top: 50px;
  padding: 50px 5% 0 5%;
  display: flex;
}

.productAll a {
  color: #000;
}

/*프로덕트 사이드 메뉴*/
.productMenu {
  width: 20%;
}

.productMenuTItle p {
  font-size: 36px;
  font-weight: 700;
  padding-bottom: 12px;
}

.productMenuBtn {
  display: flex;
  flex-direction: column;
}

.productMenuBtn a {
  padding-bottom: 12px;
  color: #b3b3b3;
  font-size: 18px;
  font-weight: 500;
}

.productMenuBtn a:nth-child(1) {
  color: #000;
  font-weight: 700;
  text-decoration: underline;
}

/*프로덕트 컨텐츠*/
.productCon {
  width: 80%;
  margin: 0 auto;
  text-align: center;
}

.specAll {
  padding-bottom: 150px;
}

.specTitle p {
  font-size: 84px;
  font-weight: 800;
}

/*프로덕트 스펙*/
.specTitle {
  display: flex;
  justify-content: center;
  padding-bottom: 66px;
}

/*프로덕트 스펙-아이템*/
.specCon {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: space-between;
  justify-items: center;
}

.specItem {
  position: relative;
  width: 340px;
  overflow: hidden;
  cursor: pointer;
  margin-bottom: 28px;
}

.specItemImg {
  position: relative;
  width: 100%;
  height: 260px;
  border-radius: 8px;
}

.specItemText {
  display: flex;
  justify-content: space-between;
  text-align: start;
  padding-top: 12px;
}

.specItemText p:nth-child(1) {
  font-size: 14px;
  font-weight: 600;
  color: #868686;
}

.specItemText p:nth-child(2) {
  font-size: 20px;
  font-weight: 600;
}

/*레퍼런스-모달*/
.reference-modal {
  display: none;
  position: fixed;
  z-index: 999;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.6);
  justify-content: center;
  align-items: center;
}

.reference-modal-content {
  background: #fff;
  border-radius: 16px;
  max-width: 800px;
  width: 90%;
  height: 550px;
  padding: 20px;
  position: relative;
  animation: fadeIn 0.3s ease;
  top: 5%;
}

.reference-close {
  position: absolute;
  top: 5px;
  right: 15px;
  font-size: 48px;
  cursor: pointer;
  color: #000;
  transition: 0.2s;
}

.reference-close:hover {
  transform: scale(1.1);
  color: #444;
}

.reference-modal-content h2 {
  font-size: 22px;
  font-weight: 700;
  border-bottom: 2px solid #b3b3b3;
  padding-bottom: 8px;
  margin-bottom: 20px;
  text-align: start;
}

.reference-info {
  display: flex;
  gap: 24px;
  align-items: flex-start;
  flex-wrap: wrap;
}

.reference-text {
  text-align: start;
  flex: 1 1 220px;
  min-width: 200px;
}

.reference-text h3 {
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 16px;
}

.reference-text p {
  font-size: 15px;
  margin: 6px 0;
}

.reference-text strong {
  display: inline-block;
  width: 80px;
}

.reference-text p:nth-last-child(1) {
  padding-top: 16px;
  display: flex;
  flex-direction: column;
}

.reference-images {
  flex: 2 1 480px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  overflow-y: scroll;
  height: 440px;
}

.reference-images img {
  width: 100%;
  border-radius: 8px;
  object-fit: cover;
}

/* 모달 등장 애니메이션 */
@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* 반응형 디자인 */
@media (max-width: 1500px) {
  /*컨텐츠 공통*/
  .conAll {
    max-width: 1260px;
  }

  /*프로덕트 스펙-아이템*/
  .specCon {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 1400px) {
  /*컨텐츠 공통*/
  .conAll {
    max-width: 1000px;
  }

  /*프로덕트 컨텐츠*/
  .specTitle p {
    font-size: 68px;
  }
}

@media (max-width: 1200px) {
  /*프로덕트 스펙-아이템*/
  .specItem {
    width: 360px;
  }
}

@media (max-width: 1024px) {
  /*컨텐츠 공통*/
  .conAll {
    max-width: 860px;
    width: 90%;
  }

  /*프로덕트*/
  .productAll {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  /*프로덕트 사이드 메뉴*/
  .productMenu {
    display: none;
  }

  /*프로덕트 컨텐츠*/
  .productCon {
    width: 100%;
  }
}

@media (max-width: 852px) {
  /*프로덕트 스펙-아이템*/
  .specItem {
    width: 320px;
  }

  .specItemImg {
    height: 245px;
  }

  .specItemImg img {
    width: 100%;
  }

  .reference-text p:nth-last-child(1) {
    padding-top: 0;
  }

  .reference-images {
    height: 190px;
  }
}

@media (max-width: 748px) {
  /*프로덕트 컨텐츠*/
  .specTitle p {
    font-size: 58px;
  }

  /*프로덕트 스펙-아이템*/
  .specCon {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (max-width: 600px) {
  /*프로덕트 컨텐츠*/
  .specTitle p {
    font-size: 48px;
  }
}

@media (max-width: 525px) {
  /*프로덕트 컨텐츠*/
  .specTitle p {
    font-size: 38px;
  }
}

@media (max-width: 500px) {
  /*상단 메인*/
  .mainBottom p {
    font-size: 14px;
  }

  /*프로덕트 스펙*/
  .specTitle {
    padding-bottom: 56px;
  }
}

@media (max-width: 455px) {
  /*상단 메인*/
  .mainTopBg video {
    width: 256px !important;
    height: 432px !important;
  }

  .mainTopTitle p {
    font-size: 48px;
  }

  /*프로덕트 스펙-아이템*/
  .specItem {
    width: 340px;
  }

  .specItemImg {
    height: 260px;
  }
}

@media (max-width: 380px) {
  /*프로덕트 스펙-아이템*/
  .specItem {
    width: 310px;
  }

  .specItemImg {
    height: 237px;
  }

  /*프로덕트 스펙-모달*/
  .modal-content {
    padding: 20px 16px;
  }
}

@media (max-width: 350px) {
  /*상단 메인*/
  .mainTopTitle p {
    font-size: 42px;
  }

  /*프로덕트 컨텐츠*/
  .specTitle p {
    font-size: 32px;
  }

  /*프로덕트 스펙-아이템*/
  .specItem {
    width: 280px;
  }

  .specItemImg {
    height: 214px;
  }
}
